[résolu] impossible de lire divx etc. quelque soit le player


#1

Bonjour a tous

Comme dit dans mon titre: je n’arrive plus a lire de divx ou xvid etc…
Par exemple si le lance un divx avec totem ou vlc: le player se lance, j’ai le son mais la video reste toute noir.
Pourtant ca marchait encore tres bien avant hier…

Je suis sous une debian SARGE.

Est ce vous pourriez me donner quelques indices pour me mettre sur la voie si vous avez des idées?

merci beaucoup
Bonne journée.

atlas


#2

Tu as fait quelque chose entre le moment ou ca fonctionnais et celui ou ca ne fonctionnais pas???

upgrade installe quelconque remove???


#3

ha bah oui… maintenant que tu le dis :blush:

j’ai fais un dist-upgrade

mais j’ai laissé que les “stables” dans le source.list donc je pensais que ca poserait de pb :frowning:


#4

Je continu mes recherches.
Est ce que ca pourrait etre un pb de SDL?
Ca m’enerve comme probleme car je n’ai aucun message d’erreur :frowning:


#5

as tu essayer de lancer ta video avec une console

totem video.avica pourrais donner des infos

Au niveau du probleme SDL dsl je ne sais pas ce que c’est :confused:


#6

Oui je l’ai lancé depuis la console pour voir si j’avais des infos justement mais rien, que dalle. Comme s’il n’y avait aucun pb (j’ai essayé avec totem, xine, vlc…)

Synaptic me dit ca a propos de SDL:
SDL is a library that allows programs portable low level access to
a video framebuffer, audio output, mouse, and keyboard.

Et je pense que mon pb vient du framebuffer mais je suis pas sur du tout!!


#7

[quote=“atlas”]ha bah oui… maintenant que tu le dis :blush:

j’ai fais un dist-upgrade

mais j’ai laissé que les “stables” dans le source.list donc je pensais que ca poserait de pb :frowning:[/quote]
Depuis le gel de la sarge, j’ai pris comme principe quand ils existaient de prendre mes depots en mettant sarge plutot que stable (des vieux dépots sont encore en stable=woody). Pendant le gel, ca m’a simplifié la vie.
Ash: la SDL, c’est l’équivalent de DirectX sous windows: une API pour se débarrasser de la preoccupation des péripheriques, pour les softs multimédia (jeux, video, audio, etc), en fournissant des fonctionnalités de production avancée de haut niveau.
Bon, atlas, je crois que j’ai le même problême mais comme je n’avais pas eu le temps de m’y pencher, je pensais que c’était parceque je faisais des essais par le réseau (affichage de mes videos stockés sur mount nfs).
En attendant, j’ai cru comprendre que les codecs se présentaient sous forme de libs en dépendances seulement “suggerées”, donc peut être qu’en cherchant dans apt-cache avec les bons mots clés, il y a des bibliothèques à installer ?
Par ailleurs, il y a souvent des codecs embarqués dans les differents players (totem, vlc, xine-kaffeine, xmms, etc…). Tu les as tous essayé ?


#8

Merci de ta reponse.
Et merci du conseil pour mettre “sarge” a la place de stable.

Oui j’ai essayé pas mal de lecteur: vlc, totem, xms, noatun etc… ca fait pareil dans tous.

Je sais que vlc a directement ses propores codecs donc j’en ai deduis que c’etait pas un pb de codec… Dumoins, je pense…

A propos des dependances suggerés, j’en ai aucune idée :slightly_smiling: et je sais vraiment pas quel mot clef rechercher dans la cache de mon apt :frowning:

Enfin merci des tes conseils, ca va peut etre faire avancer le smimilib… le schimliln… bref, ca va peut etre faire avancer les choses!

si quelqu’un a des idées, on est tj preneurs :slightly_smiling:


#9

[quote=“atlas”]ha bah oui… maintenant que tu le dis :blush:

j’ai fais un dist-upgrade

mais j’ai laissé que les “stables” dans le source.list donc je pensais que ca poserait de pb :frowning:[/quote]
Pour ma part, j’ai résolu le problème de manière radicale: Je n’utilise quasiment que mplayer que j’ai compilé, depuis les sources, donc, de cette manière, mplayer et ses codecs sont bien sûr isolés du système apt de mise à jour.
Quand je veux faire un upgrade de mes outils multimédia, je fais une copie de sauvegarde (mplayer, mencoder et cie…).
En fait je sauvegarde tout mon /usr/local sur mon disque usb.
Ensuite je recompile les releases fraîchement téléchargées sur le CVS de mplayer.
Je sais, ce n’est pas la méthode des packages Debian, mais j’ai horreur de ne plus pouvoir travailler en musique ou encore pire, de ne plus pouvoir regarder de film après un apt-get upgrade…

Comme quoi, il y a aussi des avantages à compiler à partir des sources…

J’utilise aussi les applis. multimédia fournies en packages Debian mais je ne leur fais pas trop confiance …

Debian est de loin ma distrib préférée mais certains jours, quand “l’embrouille” des apt-get upgrade sévit, j’ai la tentation d’aller tester Gentoo … :confused:


#10

Ok je comprend ta methode.
Moi c’est VLC que je voudrais comme lecteur par defaut.
Je vais chercher encore du coté des SDL, je suis presque sur que le pb vient de la. Si jamais je trouve tj pas, j’essairais de compiler vlc aussi. mais si le pb c’est bien SDL, je sais pas si ca va changer qqchose a mon pb??

Merci en tout cas :slightly_smiling: j’apprecis vos efforts aider :slightly_smiling: ca fait tj plaisir


#11

en lisant un peu pour comprendre le rapport qu’il peut y avoir avec la SDL, j’ai trouvé ça:
mplayerhq.hu/DOCS/HTML/fr/faq.html#id2895088
qui concerne un pb d’ecran noir sous KDE (pas ton cas malheureusement)…
et du coup il me vient une question: as tu essayé avec un autre window manager, juste pour voir ?


#12

si tu es sous Debian Sarge uniquement, tu dois ajouter ces depots:

[quote]deb non-us.debian.org/debian-non-US stable/non-US main contrib non-free
deb-src non-us.debian.org/debian-non-US stable/non-US main contrib non-free
[/quote]

et installer:
gstreamer0.8-ffmpeg
libavifile
libdivxdecore0
mplayer
w32codecs
libxvidcore4

y’a pas de raison que cela ne fonctionne pas comme ça.

@+


#13

Oui j’ai essayé sous d’autre windows manager (enfin juste sous gnome et kde) et ca fait pareil.

J’ai rajouté les deux depots dans mon source.list.
J’ai essayé d’ajouté tous les paquets que tu m’as donné mais je comprend pas: il me trouve aucun des paquets!

Pourtant j’ai bien fait un apt-get update juste apres…

J’ai ensuite essayé avec synaptic… mais pas plus de chance…
J’arrive pas a comprendre pkoi!


#14

autant pour moi, c’est les depots de marillat que tu dois ajouter:

### MARILLAT (Unofficial Multimedia Packages) deb ftp://ftp.nerim.net/debian-marillat/ sarge main #deb ftp://ftp.nerim.net/debian-marillat/ etch main


#15

Ouééé :slightly_smiling:

C’etait bien ca le pb!!!

Merci bcp :slightly_smiling:

Le seul paquet que j’ai pas trouvé c’est gstreamer0.8-ffmpeg.

Mais bon, ca marche nickel :slightly_smiling:
Maintenant je saurais d’ou vient le pb si cela recommence :slightly_smiling:
merci encore!


#16

et j’ai pas pensé aux Marillat…